/*
 * mod3c.c
 * Modulo in C collegato con mod3.s
 */

#define MEM_VIDEO_START 0xb8000
#define MEM_VIDEO_END 0xb8fa0
#define VIDEO_ATTR 0x0700

/*
 * funzione in mod3.s
 */
extern void pos_cursore();

/*
 * funzione chiamata da mod3.s
 * Stampa un messaggio usando la memoria video
 */
void cfun()
{
	const char *msg = "Ciao mondo", *ptr;
	short *mem_video = (short *)MEM_VIDEO_START, *mvp;

	for(mvp = mem_video; mvp < (short *)MEM_VIDEO_END; ++mvp)
		*mvp = VIDEO_ATTR | ' ';

	for(ptr = msg; *ptr; ++ptr)
		*mem_video++ = VIDEO_ATTR | *ptr;

	pos_cursore();
}

