#
# mod2.s
#
# Modulo caricato dal secondo esempio
# Cancella lo schemo e scrive una stringa, usando la memoria video, poi
#  entra in un ciclo infinito
#

.code16				# ancora in modo reale

.set SEG_CORR, 0x0800		# segmento di esecuzione (vedi es2.s)
.set LUNG_MEM_VIDEO, 2000	# lungh. mem. video in parole di 16 bit
.set MEM_VIDEO, 0xb800		# selettore per la memoria video

	.text

	movw $MEM_VIDEO, %ax	# selettore per la memoria video in es
	movw %ax, %es
	xorw %di, %di		# scrive da uno

	movw $LUNG_MEM_VIDEO, %cx
	movw $0x0720, %ax	# codice ascii di ' ', bianco su nero

	rep
		stosw		# cancella lo schermo

	movw $MEM_VIDEO, %ax	# selettore per la memoria video in es
	movw %ax, %es
	xorw %di, %di		# scrive da uno


	movw $SEG_CORR, %ax	# ds:si punta alla stringa da scrivere
	movw %ax, %ds
	movw $mess, %si
	movb $07, %ah		# bianco su nero

nuovo_car:
	lodsb			# carica il nuovo carattere
	cmpb $0, %al
	je fine

	stosw			# scrive ax in memoria video
	jmp nuovo_car

fine:
	movw $0x03d4, %dx	# posizionamento del cursore in alto a sinistra
	movb $0x0e, %al
	outb %al, %dx
	movw $0x03d5, %dx
	xorb %al, %al
	outb %al, %dx
	movw $0x03d4, %dx
	movb $0x0f, %al
	outb %al, %dx
	movw $0x03d5, %dx
	movb $0, %al
	outb %al, %dx

die:	jmp die			# ciclo infinito

mess:	.asciz "Ciao Mondo"

