#
# mod3.s
#
# Modulo caricato dal terzo esempio
# Prepara l' esecuzione di funzioni scritte in C e la effettua.
#

	.extern cfun
	.extern _bss		# inizio della bss, simbolo inserito dal linker
	.extern _end		# fine della bss, inserita dal linker

	.text
	.global _start		# per non avere warning dal linker, non
				#  viene usato
_start:
	movl $_bss, %edi	# azzeramento bss
	movl $_end, %ecx
	subl $_bss, %ecx
	shrl $2, %ecx
	xorl %eax, %eax
	cld			# deve essere eseguita prima di chiamare
				#  qualsiasi funzione C, dato che gcc si aspetta
				#  sia stato fatto
	rep
		stosl	

	call cfun		# la pila e' quella iniziale (dal bootloader)

die:	jmp die			# ciclo infinito

	.global pos_cursore
pos_cursore:
	pushl %eax
	pushl %edx

	movw $0x03d4, %dx	# posizionamento del cursore in alto a sinistra
	movb $0x0e, %al
	outb %al, %dx
	movw $0x03d5, %dx
	xorb %al, %al
	outb %al, %dx
	movw $0x03d4, %dx
	movb $0x0f, %al
	outb %al, %dx
	movw $0x03d5, %dx
	movb $0, %al
	outb %al, %dx

	popl %edx
	popl %eax

	ret

